%relativistic_effects

me = 9.109e-31;
qe = 1.602e-19;
c = 2.998e8;
Vmin = 100;
Vmax = 300;
N = 1000;
fsize = 18;

V = linspace(Vmin,Vmax,N);
y = 1+ qe*V/(me*c^2);
rR_over_rC_increase = sqrt( (0.5*me*c^2)./(qe*V) ).*y .*sqrt( 1 - y.^-2 ) - 1;

plot(V, 100*rR_over_rC_increase );
grid on;
xlabel('Voltage /volts','fontsize',fsize);
ylabel('Percentage increase','fontsize',fsize)
set(gca,'fontsize',fsize)
title('Percentage radius increase due to relativistic effects','fontsize',fsize)
print(gcf,'relativistic.png','-dpng','-r300')
close(gcf);